using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 评价风险记录明细表相关岗位
    /// </summary>
    [Description("评价风险记录明细表相关岗位")]
    public class T_HM_EVALUATE_RESULT_RISK_WORKDUTY : MesEntityBase
    {
        /// <summary>
        /// 评价风险记录明细表ID
        /// </summary>
        [Description("评价风险记录明细表")]
        [DataFieldForeignKey("Nav_EvaluationResultRisk", "Nav_EvaluateRiskWorkduty")]
        public Guid EVALUATION_RESULT_RISK_ID { get; set; }

        /// <summary>
        /// 相关岗位ID
        /// </summary>
        [Description("相关岗位")]
        [DataFieldForeignKey("Nav_Post")]
        [FormFieldEdit]
        public Guid WORKDUTY_ID { get; set; }

        /// <summary>
        /// 导航属性：评价风险记录明细表
        /// </summary>
        [Description("导航属性：评价风险记录明细表")]
        public T_HM_EVALUATE_RESULT_RISK Nav_EvaluationResultRisk { get; set; }

        /// <summary>
        /// 导航属性：相关岗位
        /// </summary>
        [Description("导航属性：相关岗位")]
        public T_FM_USER_POST Nav_Post { get; set; }
    }
}
